Package org.apache.commons.math3.ode

# Class AbstractParameterizable

java.lang.Object
org.apache.commons.math3.ode.AbstractParameterizable

All Implemented Interfaces:
  `Parameterizable`

public abstract class AbstractParameterizable extends Object implements Parameterizable
This abstract class provides boilerplate parameters list.

Since:
  3.0

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractParameterizable(String... names)`
Simple constructor.
`protected`
`AbstractParameterizable(Collection<String> names)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`complainIfNotSupported(String name)`
Check if a parameter is supported and throw an IllegalArgumentException if not.
`Collection<String>`
`getParametersNames()`
Get the names of the supported parameters.
`boolean`
`isSupported(String name)`
Check if a parameter is supported.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractParameterizable

protected AbstractParameterizable(String... names)
Simple constructor.

Parameters:
  `names` - names of the supported parameters

### AbstractParameterizable

protected AbstractParameterizable(Collection<String> names)
Simple constructor.

Parameters:
  `names` - names of the supported parameters

## Method Details

### getParametersNames

public Collection<String> getParametersNames()
Get the names of the supported parameters.

Specified by:
  `getParametersNames` in interface `Parameterizable`
Returns:
  parameters names
See Also:
  - `Parameterizable.isSupported(String)`

### isSupported

public boolean isSupported(String name)
Check if a parameter is supported.

Supported parameters are those listed by `Parameterizable.getParametersNames()`.

Specified by:
  `isSupported` in interface `Parameterizable`
Parameters:
  `name` - parameter name to check
Returns:
  true if the parameter is supported
See Also:
  - `Parameterizable.getParametersNames()`

### complainIfNotSupported

public void complainIfNotSupported(String name) throws UnknownParameterException
Check if a parameter is supported and throw an IllegalArgumentException if not.

Parameters:
  `name` - name of the parameter to check
Throws:
  `UnknownParameterException` - if the parameter is not supported
See Also:
  - `isSupported(String)`